# Interface AddressTypeSpecific

Type of an address (with payability specified)

#### Category

Elementary types

#### Hierarchy

- AddressTypeSpecific

- Defined in codec/lib/format/types.ts:131

#####
Index

### Properties

kind
payable
typeClass

## Properties

### kind

kind: "specific"

- Defined in codec/lib/format/types.ts:133

### payable

payable: boolean

- Defined in codec/lib/format/types.ts:134

### typeClass

typeClass: "address"

- Defined in codec/lib/format/types.ts:132

Generated using TypeDoc